from django.views.decorators.http import require_http_methods

from backend.Service.SupplierService import SupplierService


@require_http_methods(['POST'])
def Create(reqeust):
    return SupplierService.Create(reqeust)


@require_http_methods(['POST'])
def Update(reqeust):
    return SupplierService.Update(reqeust)


@require_http_methods(['POST'])
def Delete(reqeust):
    return SupplierService.Delete(reqeust)


@require_http_methods(['POST'])
def Info(reqeust):
    return SupplierService.Info(reqeust)


@require_http_methods(['POST'])
def Search(reqeust):
    return SupplierService.Search(reqeust)
